Subject: Re: [PATCHv2 3/4] modem_shm: u8500-shm: U8500 Shared Memory Driver

From: Greg KH <[email-masked]>
Date: Tue, 7 Aug 2012 11:39:25 -0700

On Tue, Aug 07, 2012 at 12:24:30PM +0530, Arun Murthy wrote:
> The communication between APE and CMT in u8500 is by means of a shared DDR.
> Since its a shared memory, this driver implements shrm protocol.
> 
> Signed-off-by: Arun Murthy <[email-masked]>
> Acked-by: Linus Walleij <[email-masked]>
> ---
>  drivers/modem_shm/Kconfig                        |    2 +
>  drivers/modem_shm/Makefile                       |    1 +
>  drivers/modem_shm/u8500_shm/Kconfig              |   43 +
>  drivers/modem_shm/u8500_shm/Makefile             |    7 +
>  drivers/modem_shm/u8500_shm/shrm_char.c          |  895 ++++++++++++
>  drivers/modem_shm/u8500_shm/shrm_driver.c        |  732 ++++++++++
>  drivers/modem_shm/u8500_shm/shrm_fifo.c          |  837 ++++++++++++
>  drivers/modem_shm/u8500_shm/shrm_net.c           |  312 +++++
>  drivers/modem_shm/u8500_shm/shrm_protocol.c      | 1590 ++++++++++++++++++++++
>  include/linux/modem_shm/u8500_shm/shrm.h         |   23 +
>  include/linux/modem_shm/u8500_shm/shrm_config.h  |  114 ++
>  include/linux/modem_shm/u8500_shm/shrm_driver.h  |  225 +++
>  include/linux/modem_shm/u8500_shm/shrm_ioctl.h   |   43 +
>  include/linux/modem_shm/u8500_shm/shrm_net.h     |   46 +
>  include/linux/modem_shm/u8500_shm/shrm_private.h |  183 +++

Why do any of those .h files need to be in include/linux/*?  Shouldn't
they just be in the same directory as the driver itself?

greg k-h